Package: phast / 1.5+dfsg-1

Metadata

Package Version Patches format
phast 1.5+dfsg-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
clapack.patch | (download)

include/external_libs.h | 25 21 + 4 - 0 !
src/lib/Makefile | 24 2 + 22 - 0 !
src/make-include.mk | 6 1 + 5 - 0 !
3 files changed, 24 insertions(+), 31 deletions(-)

 use debian package for blas/lapack (instead of obsolete clapack)
 - Use -lblas instead of -lblaswr
 - Use -ltmglib instead of -ltmg
 - Do not use f2c, not needed
 - Introduce prototypes for LAPACK functions used in the package
   (those are documented in the manpages from the liblapack-doc package)

do_not_install_to_opt.patch | (download)

src/Makefile | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 packages should not install anything to /opt


use_debian_packaged_libpcre.patch | (download)

src/lib/Makefile | 2 1 + 1 - 0 !
src/make-include.mk | 4 2 + 2 - 0 !
2 files changed, 3 insertions(+), 3 deletions(-)

 use debian packaged libpcre


use_debian_packaged_help2man.patch | (download)

src/Makefile | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 debian packaged help2man creates better results


hardening.patch | (download)

src/make-include.mk | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 propagate hardening options


fix_test_makefile.patch | (download)

test/Makefile | 62 31 + 31 - 0 !
test/hmrc_summary_correct | 3 0 + 3 - 0 !
2 files changed, 31 insertions(+), 34 deletions(-)

 test suite makefile has syntax errors and there
 was at least one buggy data file which was fixed.
 .
 With these changes `make msa_view` works but other targets are
 throwing errors.  This needs to be investigated